Index: resources/views/dashboard/departments/create.blade.php
===================================================================
--- resources/views/dashboard/departments/create.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/dashboard/departments/create.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -29,6 +29,6 @@
                                     <h6 class="card-title">New department</h6>
                                     <form action="{{ route("dashboard.departments.store") }}" method="post" accept-charset="utf-8">
+                                        @csrf
                                         <div class="row">
-                                            @csrf
                                             <div class="col-md-6">
                                                 <div class="form-group">
Index: resources/views/dashboard/departments/edit.blade.php
===================================================================
--- resources/views/dashboard/departments/edit.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/dashboard/departments/edit.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -1,7 +1,7 @@
 @extends('layouts.app')
 
-@section("title", "departments - Edit user")
+@section("title", "Departments - Edit department")
 
-@section('pageTitle', 'Edit user')
+@section('pageTitle', 'Edit department')
 
 @section('content')
Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/dashboard/departments/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -36,15 +36,17 @@
                             <thead>
                             <tr>
-{{--                                <th>--}}
-{{--                                    <div class="custom-control custom-checkbox">--}}
-{{--                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">--}}
-{{--                                        <label class="custom-control-label" for="user-list-select-all"></label>--}}
-{{--                                    </div>--}}
-{{--                                </th>--}}
+                                <th>
+                                    <div class="custom-control custom-checkbox">
+                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">
+                                        <label class="custom-control-label" for="user-list-select-all"></label>
+                                    </div>
+                                </th>
                                 <th>ID</th>
                                 <th>Name</th>
                                 <th>Code</th>
                                 <th>Created by</th>
-                                <th>Creation date</th>
+                                <th>Created at</th>
+                                <th>Updated at</th>
+                                <th>Directory</th>
                                 <th>Actions</th>
                             </tr>
@@ -53,9 +55,22 @@
                             @foreach($departments as $department)
                                 <tr>
+                                    <td></td>
                                     <td>{{$department->id }}</td>
                                     <td>{{ $department->name }}</td>
                                     <td>{{ $department->code }}</td>
                                     <td>{{ $department->getCreatedByName() }}</td>
-                                    <td>{{ date('d.m.Y', strtotime($department->created_at)) }}</td>
+                                    <td>{{ date('d.m.Y - H:i', strtotime($department->created_at)) }}</td>
+                                    @if($department->updated_at==NULL)
+                                        <td>/</td>
+                                    @else
+                                    <td>{{ date('d.m.Y - H:i', strtotime($department->updated_at)) }}</td>
+                                    @endif
+                                    <!-- Trigger -->
+                                    <td id="copy_{{ $department->id }}" value="{{$department->location}}">{{$department->location}}
+                                            <button class="btn btn-sm btn-primary text-white" data-clipboard-target="#copy_{{ $department->id }}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-clipboard" viewBox="0 0 16 16">
+                                                    <path d="M4 1.5H3a2 2 0 0 0-2 2V14a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V3.5a2 2 0 0 0-2-2h-1v1h1a1 1 0 0 1 1 1V14a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V3.5a1 1 0 0 1 1-1h1v-1z"/>
+                                                    <path d="M9.5 1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-1a.5.5 0 0 1 .5-.5h3zm-3-1A1.5 1.5 0 0 0 5 1.5v1A1.5 1.5 0 0 0 6.5 4h3A1.5 1.5 0 0 0 11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3z"/>
+                                                </svg></button>
+                                    </td>
                                     <td>
                                         <a href="{{ route("dashboard.departments.edit", ["id" => $department->id]) }}" class="text-secondary" data-toggle="tooltip" title="Edit">
Index: resources/views/dashboard/documents/create.blade.php
===================================================================
--- resources/views/dashboard/documents/create.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/documents/create.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,84 @@
+@extends('layouts.app')
+
+@section("title", "Documents - Create new")
+
+@section('pageTitle', 'Create document')
+
+@section('content')
+
+    <div class="page-header">
+        <nav aria-label="breadcrumb" class="d-flex align-items-start">
+            <ol class="breadcrumb">
+                <li class="breadcrumb-item">
+                    <a href="{{ url('dashboard/documents') }}">Documents</a>
+                </li>
+                <li class="breadcrumb-item active" aria-current="page">New document</li>
+            </ol>
+        </nav>
+    </div>
+
+    <div class="row">
+        <div class="col-md-12">
+
+            <div class="row">
+                <div class="col-lg-12 col-md-12">
+                    <div class="tab-content" id="v-pills-tabContent">
+                        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
+                            <div class="card">
+                                <div class="card-body">
+                                    <h6 class="card-title">New document</h6>
+                                    <form action="{{ route("dashboard.documents.store") }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
+                                        @csrf
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                            <div class="form-group">
+                                                <label for="exampleFormControlSelect1">Department</label>
+                                                @if($departments->count())
+                                                <select class="form-control" name="department" required>
+                                                    <option></option>
+                                                    @foreach ($departments as $department)
+                                                        <option value="{{ $department->id }}" {{ (old("department") == $department->id ? "selected" : "") }}>{{ $department->name }}</option>
+                                                    @endforeach
+                                                        @else
+                                                            <p>You haven't created any departments yet. <a class="text-primary" href="{{ route("dashboard.departments.create") }}">Create now.</a></p>
+                                                        @endif
+                                                </select>
+                                            </div>
+                                            </div>
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Archive ID</label>
+                                                    <input type="text" name="arch_id" value="{{ old('arch_id') }}" class="form-control" placeholder="Archive ID" required>
+                                                </div>
+                                            </div>
+                                        </div>
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Name</label>
+                                                    <input type="text" name="name" value="{{ old('name') }}" class="form-control" placeholder="Name" required>
+                                                </div>
+                                            </div>
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Description</label>
+                                                    <textarea class="form-control" name="description" value='{{ old("description") }}' rows="3"></textarea>
+                                                </div>
+                                            </div>
+                                        </div>
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <input type="file" class="form-control" id="file-item" name="file_item[]" multiple>
+                                            </div>
+                                        </div>
+                                        <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
+                                    </form>
+                                </div>
+                            </div>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+@endsection
Index: resources/views/dashboard/documents/department.blade.php
===================================================================
--- resources/views/dashboard/documents/department.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/documents/department.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,69 @@
+@extends('layouts.app')
+
+@section('pageTitle', $department->name)
+
+@section('content')
+
+    <div class="row app-block mb-4">
+        @include('dashboard.documents.fragments.menu')
+        <div class="col-md-9 app-content">
+            <div class="app-content-overlay"></div>
+            @include('dashboard.documents.fragments.filters')
+
+            <p>{{$department->name}} documents</p>
+            <div class="row">
+                @foreach($documents as $document)
+                        <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
+                            <div class="card app-file-list">
+                                <div class="app-file-icon">
+                                    <i class="fa fa-file-text-o text-primary"></i>
+                                    <div class="dropdown position-absolute top-0 right-0 mr-3">
+                                        <a href="#" class="btn btn-outline-light btn-sm" data-toggle="dropdown">
+                                            <i class="fa fa-ellipsis-h"></i>
+                                        </a>
+                                        <div class="dropdown-menu dropdown-menu-right">
+                                            <a href="{{ route("dashboard.documents.edit", ["id" => $document->id]) }}" class="dropdown-item">View Details</a>
+                                            <a href="#" class="dropdown-item">Share</a>
+                                            <a href="#" class="dropdown-item">Download</a>
+                                            <a href="#" class="dropdown-item">Move to</a>
+                                            <a href="#" class="dropdown-item">Delete</a>
+                                        </div>
+                                    </div>
+                                </div>
+                                <div class="p-2 small">
+                                    <div>{{$document->name}} - {{$document->arch_id}}</div>
+                                    <div class="text-muted">{{$document->description}}</div>
+                                    <div class="text-muted">1.2MB</div>
+                                </div>
+                            </div>
+                        </div>
+                    @endforeach
+
+
+            </div>
+        </div>
+
+        @endsection
+
+        @section('script')
+
+            <script>
+                $(function () {
+                    $(document).on('click', '.file-upload-btn', function () {
+                        $('form#file-upload input[type="file"]').trigger('click');
+                    });
+
+                    $(document).on('click', '.app-sidebar-menu-button', function () {
+                        $('.app-block .app-sidebar, .app-content-overlay').addClass('show');
+                        // $('.app-block .app-sidebar .app-sidebar-menu').niceScroll().resize();
+                        return false;
+                    });
+
+                    $(document).on('click', '.app-content-overlay', function () {
+                        $('.app-block .app-sidebar, .app-content-overlay').removeClass('show');
+                        return false;
+                    });
+                });
+            </script>
+
+@endsection
Index: resources/views/dashboard/documents/edit.blade.php
===================================================================
--- resources/views/dashboard/documents/edit.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/documents/edit.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,78 @@
+@extends('layouts.app')
+
+@section("title", "Documents - Edit document")
+
+@section('pageTitle', 'Edit document')
+
+@section('content')
+
+    <div class="page-header">
+        <nav aria-label="breadcrumb" class="d-flex align-items-start">
+            <ol class="breadcrumb">
+                <li class="breadcrumb-item">
+                    <a href="{{ url('dashboard/documents') }}">Documents</a>
+                </li>
+                <li class="breadcrumb-item active" aria-current="page">Edit document</li>
+            </ol>
+        </nav>
+    </div>
+
+    <div class="row">
+        <div class="col-md-12">
+
+            <div class="row">
+                <div class="col-lg-12 col-md-12">
+                    <div class="tab-content" id="v-pills-tabContent">
+                        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
+                            <div class="card">
+                                <div class="card-body">
+                                    <h6 class="card-title">Documents</h6>
+                                    <form action="{{ route("dashboard.documents.edit", ["id" => $document->id]) }}" method="post" accept-charset="utf-8" enctype="multipart/form-data">
+                                        @method("patch")
+                                        @csrf
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label for="exampleFormControlSelect1">Department</label>
+                                                        <select class="form-control" name="department" required>
+                                                            @foreach ($departments as $department)
+                                                                <option value="{{ $department->id }}" {{ old("department", $document->department->id) == $department->id ? "selected" : "" }}>{{ $department->name }}</option>
+                                                            @endforeach
+                                                        </select>
+                                                </div>
+                                            </div>
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Archive ID</label>
+                                                    <input type="text" name="arch_id" value="{{ old("arch_id", $document->arch_id) }}" class="form-control" placeholder="Archive ID" required>
+                                                </div>
+                                            </div>
+                                        </div>
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Name</label>
+                                                    <input type="text" name="name" value="{{ old("name", $document->name) }}" class="form-control" placeholder="Name" required>
+                                                </div>
+                                            </div>
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Description</label>
+                                                    <textarea class="form-control" name="description" value='{{ old("description", $document->description) }}' rows="3"></textarea>
+                                                </div>
+                                            </div>
+                                        </div>
+
+
+                                        <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
+                                    </form>
+                                </div>
+                            </div>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+
+@endsection
Index: resources/views/dashboard/documents/fragments/filters.blade.php
===================================================================
--- resources/views/dashboard/documents/fragments/filters.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/documents/fragments/filters.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,53 @@
+<div class="app-action">
+    <div class="action-left">
+        <ul class="list-inline">
+            <li class="list-inline-item mb-0">
+                <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
+                    <i data-feather="plus" class="mr-1"></i>
+                    Add
+                </a>
+                <div class="dropdown-menu">
+                    <a class="dropdown-item" href="{{route("dashboard.departments.create")}}">Department</a>
+                    <a class="dropdown-item" href="{{route("dashboard.documents.create")}}">Document</a>
+                </div>
+            </li>
+            <li class="list-inline-item mb-0">
+                <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">Departments</a>
+                <div class="dropdown-menu">
+                    @foreach($departments as $department)
+                        <a class="dropdown-item d-flex justify-content-between m-5" href="{{ route("dashboard.documents.getDocumentsInDepartment", ["id" => $department->id]) }}">
+                            {{$department->name}}
+                            <span class="text-muted">{{$department->document->count()}}</span>
+                        </a>
+                    @endforeach
+                </div>
+            </li>
+            <li class="list-inline-item mb-0">
+                <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
+                    Order by
+                </a>
+                <div class="dropdown-menu">
+                    <a class="dropdown-item" href="#">Date</a>
+                    <a class="dropdown-item" href="#">Name</a>
+                    <a class="dropdown-item" href="#">Size</a>
+                </div>
+            </li>
+        </ul>
+    </div>
+    <div class="action-right">
+        <form class="d-flex mr-3">
+            <a href="#" class="app-sidebar-menu-button btn btn-outline-light">
+                <i data-feather="menu"></i>
+            </a>
+            <div class="input-group">
+                <input type="text" class="form-control" placeholder="Search file"
+                       aria-describedby="button-addon1">
+                <div class="input-group-append">
+                    <button class="btn btn-outline-light" type="button" id="button-addon1">
+                        <i data-feather="search"></i>
+                    </button>
+                </div>
+            </div>
+        </form>
+    </div>
+</div>
Index: resources/views/dashboard/documents/fragments/menu.blade.php
===================================================================
--- resources/views/dashboard/documents/fragments/menu.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/documents/fragments/menu.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,57 @@
+<div class="col-md-3 app-sidebar">
+        <div class="card">
+            <div class="card-body">
+                <a href="{{ route("dashboard.documents.create") }}" class="btn btn-secondary btn-block file-upload-btn text-white" data-action="{{ route("dashboard.documents.create") }}">
+                    Add document
+                </a>
+                <form class="d-none" id="file-upload">
+                    <input type="file" multiple>
+                </form>
+            </div>
+            <div class="app-sidebar-menu">
+                <div class="list-group list-group-flush">
+                    <a href="{{route("dashboard.documents.index")}}" class="list-group-item d-flex align-items-center">
+                        <i data-feather="folder" class="width-15 height-15 mr-2"></i>
+                        Documents
+                        <span class="small ml-auto">{{$totalDocs}}</span>
+                    </a>
+                    @foreach($departments as $department)
+                        <a href="{{ route("dashboard.documents.getDocumentsInDepartment", ["id" => $department->id]) }}" class="list-group-item d-flex align-items-center">
+                            <i data-feather="folder" class="width-15 height-15 mr-2"></i>
+                            {{$department->name}}
+                            <span class="small ml-auto">{{$department->document->count()}}</span>
+                        </a>
+                    @endforeach
+                    <a href="" class="list-group-item">
+                        <i data-feather="upload-cloud" class="width-15 height-15 mr-2"></i>
+                        Recents
+                    </a>
+                    <a href="" class="list-group-item d-flex align-items-center">
+                        <i data-feather="star" class="width-15 height-15 mr-2"></i>
+                        Important
+                        <span class="small ml-auto">10</span>
+                    </a>
+                    <a href="" class="list-group-item">
+                        <i data-feather="trash" class="width-15 height-15 mr-2"></i>
+                        Deleted Files
+                    </a>
+                </div>
+                <div class="card-body">
+                    <h6 class="mb-4">Storage Status</h6>
+                    <div class="d-flex align-items-center">
+                        <div class="mr-3">
+                            <i data-feather="database" class="width-30 height-30"></i>
+                        </div>
+                        <div class="flex-grow-1">
+                            <div class="progress" style="height: 10px">
+                                <div class="progress-bar progress-bar-striped" role="progressbar"
+                                     style="width: 40%" aria-valuenow="10" aria-valuemin="0"
+                                     aria-valuemax="100"></div>
+                            </div>
+                            <div class="line-height-12 small text-muted mt-2">19.5GB used of 25GB</div>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
Index: resources/views/dashboard/documents/index.blade.php
===================================================================
--- resources/views/dashboard/documents/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/documents/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,70 @@
+@extends('layouts.app')
+
+@section('pageTitle', 'File Manager')
+
+@section('content')
+
+    <div class="row app-block mb-4">
+        @include('dashboard.documents.fragments.menu')
+
+        <div class="col-md-9 app-content">
+            <div class="app-content-overlay"></div>
+            @include('dashboard.documents.fragments.filters')
+
+            <p>Documents</p>
+            <div class="row">
+                @foreach($documents as $document)
+                    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
+                        <div class="card app-file-list">
+                            <div class="app-file-icon">
+                                <i class="fa fa-file-text-o text-primary"></i>
+                                <div class="dropdown position-absolute top-0 right-0 mr-3">
+                                    <a href="#" class="btn btn-outline-light btn-sm" data-toggle="dropdown">
+                                        <i class="fa fa-ellipsis-h"></i>
+                                    </a>
+                                    <div class="dropdown-menu dropdown-menu-right">
+                                        <a href="{{ route("dashboard.documents.edit", ["id" => $document->id]) }}" class="dropdown-item">View Details</a>
+                                        <a href="#" class="dropdown-item">Share</a>
+                                        <a href="#" class="dropdown-item">Download</a>
+                                        <a href="#" class="dropdown-item">Move to</a>
+                                        <a href="#" class="dropdown-item">Delete</a>
+                                    </div>
+                                </div>
+                            </div>
+                            <div class="p-2 small">
+                                <div>{{$document->name}} - {{$document->arch_id}}</div>
+                                <div class="text-muted">{{$document->description}}</div>
+                                <div class="text-muted">1.2MB</div>
+                            </div>
+                        </div>
+                    </div>
+                @endforeach
+
+
+            </div>
+    </div>
+
+@endsection
+
+@section('script')
+
+    <script>
+        $(function () {
+            $(document).on('click', '.file-upload-btn', function () {
+                $('form#file-upload input[type="file"]').trigger('click');
+            });
+
+            $(document).on('click', '.app-sidebar-menu-button', function () {
+                $('.app-block .app-sidebar, .app-content-overlay').addClass('show');
+                // $('.app-block .app-sidebar .app-sidebar-menu').niceScroll().resize();
+                return false;
+            });
+
+            $(document).on('click', '.app-content-overlay', function () {
+                $('.app-block .app-sidebar, .app-content-overlay').removeClass('show');
+                return false;
+            });
+        });
+    </script>
+
+@endsection
Index: resources/views/dashboard/partials/avatar.blade.php
===================================================================
--- resources/views/dashboard/partials/avatar.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/dashboard/partials/avatar.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,7 @@
+<figure class="avatar avatar-sm mr-2">
+    @if(auth()->user()->avatar==NULL)
+        <img src="{{ url('assets/media/images/user.png') }}" class="rounded-circle" alt="avatar">
+    @else
+        <img src="{{url('uploads/users/' . auth()->user()->avatar)}}" class="rounded-circle" alt="avatar">
+    @endif
+</figure>
Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/dashboard/settings/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -35,5 +35,5 @@
                                 <div class="card-body">
                                     <h6 class="card-title">Account</h6>
-                                    <form action="{{ route("dashboard.users.editUserData", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8">
+                                    <form action="{{ route("dashboard.users.editUserData", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
                                         @method("patch")
                                         @csrf
@@ -53,10 +53,4 @@
                                         </div>
                                         <div class="row">
-{{--                                            <div class="col-md-6">--}}
-{{--                                                <div class="form-group">--}}
-{{--                                                    <label>Email</label>--}}
-{{--                                                    <input type="email" name="email" value="{{ $user->email }}" class="form-control" placeholder="E-mail" required>--}}
-{{--                                                </div>--}}
-{{--                                            </div>--}}
                                             <div class="col-md-6">
                                                 <div class="form-group">
@@ -65,4 +59,16 @@
                                                 </div>
                                             </div>
+                                            <div class="col-md-5">
+                                                <div class="form-group">
+                                                    <label>Avatar</label>
+                                                    <input type="file" name="avatar" value="{{ $user->avatar }}" class="form-control" accept="image/*">
+                                                </div>
+                                            </div>
+                                        <div class="col-md-1">
+                                            <div class="form-group">
+                                                <label>Current</label>
+                                                @include('dashboard.partials.avatar')
+                                            </div>
+                                        </div>
                                         </div>
                                         <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
Index: resources/views/dashboard/users/create.blade.php
===================================================================
--- resources/views/dashboard/users/create.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/dashboard/users/create.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -28,5 +28,5 @@
                                 <div class="card-body">
                                     <h6 class="card-title">User account data</h6>
-                                    <form action="{{ route("dashboard.users.store") }}" method="post" accept-charset="utf-8">
+                                    <form action="{{ route("dashboard.users.store") }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
                                         @csrf
                                         <div class="row">
@@ -77,4 +77,13 @@
 
                                         </div>
+
+                                        <div class="row">
+                                            <div class="col-md-6">
+                                                <div class="form-group">
+                                                    <label>Avatar</label>
+                                                    <input type="file" name="avatar" value="{{ old('avatar') }}" class="form-control" accept="image/*">
+                                                </div>
+                                            </div>
+                                        </div>
                                             <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
                                     </form>
Index: resources/views/dashboard/users/edit.blade.php
===================================================================
--- resources/views/dashboard/users/edit.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/dashboard/users/edit.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -28,5 +28,5 @@
                                 <div class="card-body">
                                     <h6 class="card-title">User account data</h6>
-                                    <form action="{{ route("dashboard.users.edit", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8">
+                                    <form action="{{ route("dashboard.users.edit", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
                                         @method("patch")
                                         @csrf
@@ -78,4 +78,18 @@
                                             </div>
                                         </div>
+                                        <div class="row">
+                                            <div class="col-md-5">
+                                                <div class="form-group">
+                                                    <label>Avatar</label>
+                                                    <input type="file" name="avatar" value="{{ $user->avatar }}" class="form-control" accept="image/*">
+                                                </div>
+                                            </div>
+                                            <div class="col-md-1">
+                                                <div class="form-group">
+                                                    <label>Current</label>
+                                                    @include('dashboard.partials.avatar')
+                                                </div>
+                                            </div>
+                                        </div>
                                         <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
                                     </form>
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/dashboard/users/index.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -8,4 +8,5 @@
     <!-- Datatable -->
     <link rel="stylesheet" href="{{ url('vendors/dataTable/dataTables.min.css') }}" type="text/css">
+
 @endsection
 
@@ -36,12 +37,19 @@
                             <thead>
                             <tr>
-                                <th>ID</th>
-                                <th>Status</th>
+                                <th>
+                                    <div class="custom-control custom-checkbox">
+                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">
+                                        <label class="custom-control-label" for="user-list-select-all"></label>
+                                    </div>
+                                </th>
+                                <th>State</th>
                                 <th>Username</th>
                                 <th>Name</th>
                                 <th>Email</th>
                                 <th>Phone Number</th>
-                                <th>Registration Date</th>
+                                <th>Created at</th>
                                 <th>Role</th>
+                                <th>Status</th>
+                                <th>Last seen</th>
                                 <th>Actions</th>
                             </tr>
@@ -50,5 +58,5 @@
                             @foreach($users as $user)
                                 <tr>
-                                    <td>{{$user->id }}</td>
+                                    <td></td>
                                     <td>
                                         @if($user->is_confirmed)
@@ -63,11 +71,24 @@
                                     </td>
                                     <td>
-                                        <a href="#">{{$user->name .' '. $user->surname}}</a>
+                                            @include('dashboard.partials.avatar')
+                                        {{$user->username}}
                                     </td>
-                                    <td>{{$user->username}}</td>
+                                    <td>{{$user->name .' '. $user->surname}}</td>
                                     <td>{{$user->email}}</td>
                                     <td>{{$user->mobile_number}}</td>
                                     <td>{{ date('d.m.Y', strtotime($user->created_at)) }}</td>
                                     <td>{{ $user->role->name }}</td>
+                                    <td>
+                                        @if(Cache::has('is_online' . $user->id))
+                                            <span class="text-success">Online</span>
+                                        @else
+                                            <span class="text-secondary">Offline</span>
+                                        @endif
+                                    </td>
+                                    @if($user->last_seen==NULL)
+                                        <td>Never logged in</td>
+                                    @else
+                                    <td>{{ \Carbon\Carbon::parse($user->last_seen)->diffForHumans() }}</td>
+                                    @endif
                                     @if($user->hasRole("Referent") && $user->is_confirmed)
                                         <td>
@@ -97,7 +118,6 @@
 
 @section('script')
+ <script src="{{ url('assets/js/examples/pages/user-list.js') }}"></script>
     <!-- Datatable -->
     <script src="{{ url('vendors/dataTable/dataTables.min.js') }}"></script>
-
-    <script src="{{ url('assets/js/examples/pages/user-list.js') }}"></script>
 @endsection
Index: resources/views/layouts/alert.blade.php
===================================================================
--- resources/views/layouts/alert.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/layouts/alert.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -16,6 +16,8 @@
                 new Toast({
                     message: "{{session()->get("alert.message")}}",
-                    type: {{session()->get("alert.type")}}
+                    type: '{{session()->get("alert.type")}}'
                 });
+
+
     </script>
 @endif
Index: resources/views/layouts/app.blade.php
===================================================================
--- resources/views/layouts/app.blade.php	(revision 194a35967c638db611da70bbf868d51cd9124ed2)
+++ resources/views/layouts/app.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -7,5 +7,6 @@
     <title>@yield('title')</title>
 
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
+{{--    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>--}}
+
     <!-- Favicon -->
     <link rel="shortcut icon" href="{{ url('assets/media/images/favicon.png') }}"/>
@@ -14,5 +15,7 @@
     <link rel="stylesheet" href="{{ url('vendors/bundle.css') }}" type="text/css">
 
-    <!-- App styles -->
+@yield('head')
+
+<!-- App styles -->
     <link rel="stylesheet" href="{{ url('assets/css/app.min.css') }}" type="text/css">
 </head>
@@ -80,53 +83,4 @@
     <!-- END: User Menu -->
 
-    <!-- BEGIN: Settings -->
-    <div class="sidebar" id="settings">
-        <div class="card">
-            <div class="card-body">
-                <h6 class="card-title">Settings</h6>
-                <ul class="list-group list-group-flush">
-                    <li class="list-group-item pl-0 pr-0">
-                        <div class="custom-control custom-switch">
-                            <input type="checkbox" class="custom-control-input" id="customSwitch1" checked>
-                            <label class="custom-control-label" for="customSwitch1">Allow notifications.</label>
-                        </div>
-                    </li>
-                    <li class="list-group-item pl-0 pr-0">
-                        <div class="custom-control custom-switch">
-                            <input type="checkbox" class="custom-control-input" id="customSwitch2">
-                            <label class="custom-control-label" for="customSwitch2">Hide user requests</label>
-                        </div>
-                    </li>
-                    <li class="list-group-item pl-0 pr-0">
-                        <div class="custom-control custom-switch">
-                            <input type="checkbox" class="custom-control-input" id="customSwitch3" checked>
-                            <label class="custom-control-label" for="customSwitch3">Speed up demands</label>
-                        </div>
-                    </li>
-                    <li class="list-group-item pl-0 pr-0">
-                        <div class="custom-control custom-switch">
-                            <input type="checkbox" class="custom-control-input" id="customSwitch4" checked>
-                            <label class="custom-control-label" for="customSwitch4">Hide menus</label>
-                        </div>
-                    </li>
-                    <li class="list-group-item pl-0 pr-0">
-                        <div class="custom-control custom-switch">
-                            <input type="checkbox" class="custom-control-input" id="customSwitch5">
-                            <label class="custom-control-label" for="customSwitch5">Remember next visits</label>
-                        </div>
-                    </li>
-                    <li class="list-group-item pl-0 pr-0">
-                        <div class="custom-control custom-switch">
-                            <input type="checkbox" class="custom-control-input" id="customSwitch6">
-                            <label class="custom-control-label" for="customSwitch6">Enable report
-                                generation.</label>
-                        </div>
-                    </li>
-                </ul>
-            </div>
-        </div>
-    </div>
-    <!-- END: Settings -->
-
 </div>
 <!-- END: Sidebar Group -->
@@ -169,138 +123,11 @@
                     <!-- end::header fullscreen -->
 
-                    <!-- begin::header search -->
-                    <li class="nav-item">
-                        <a href="#" class="nav-link" title="Search" data-toggle="dropdown">
-                            <i data-feather="search"></i>
-                        </a>
-                        <div class="dropdown-menu p-2 dropdown-menu-right">
-                            <form>
-                                <div class="input-group">
-                                    <input type="text" class="form-control" placeholder="Search">
-                                    <div class="input-group-prepend">
-                                        <button class="btn" type="button">
-                                            <i data-feather="search"></i>
-                                        </button>
-                                    </div>
-                                </div>
-                            </form>
-                        </div>
-                    </li>
-                    <!-- end::header search -->
-
-                    <!-- begin::header notification dropdown -->
-                    <li class="nav-item dropdown">
-                        <a href="#" class="nav-link nav-link-notify" title="Notifications" data-toggle="dropdown">
-                            <i data-feather="bell"></i>
-                        </a>
-                        <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
-                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">
-                                <h5 class="mb-0">Notifications</h5>
-                                <small class="opacity-7">1 unread notifications</small>
-                            </div>
-                            <div>
-                                <ul class="list-group list-group-flush">
-                                    <li>
-                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
-                                            <div>
-                                                <figure class="avatar mr-2">
-                                                <span
-                                                    class="avatar-title bg-success-bright text-success rounded-circle">
-                                                    <i class="ti-user"></i>
-                                                </span>
-                                                </figure>
-                                            </div>
-                                            <div class="flex-grow-1">
-                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
-                                                    New customer registered
-                                                    <i title="Mark as read" data-toggle="tooltip"
-                                                       class="hide-show-toggler-item fa fa-circle-o font-size-11"></i>
-                                                </p>
-                                                <span class="text-muted small">20 min ago</span>
-                                            </div>
-                                        </a>
-                                    </li>
-                                    <li class="text-divider small pb-2 pl-3 pt-3">
-                                        <span>Old notifications</span>
-                                    </li>
-                                    <li>
-                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
-                                            <div>
-                                                <figure class="avatar mr-2">
-                                                <span
-                                                    class="avatar-title bg-warning-bright text-warning rounded-circle">
-                                                    <i class="ti-package"></i>
-                                                </span>
-                                                </figure>
-                                            </div>
-                                            <div class="flex-grow-1">
-                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
-                                                    New Order Recieved
-                                                    <i title="Mark as unread" data-toggle="tooltip"
-                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
-                                                </p>
-                                                <span class="text-muted small">45 sec ago</span>
-                                            </div>
-                                        </a>
-                                    </li>
-                                    <li>
-                                        <a href="#"
-                                           class="list-group-item d-flex align-items-center hide-show-toggler">
-                                            <div>
-                                                <figure class="avatar mr-2">
-                                                <span class="avatar-title bg-danger-bright text-danger rounded-circle">
-                                                    <i class="ti-server"></i>
-                                                </span>
-                                                </figure>
-                                            </div>
-                                            <div class="flex-grow-1">
-                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
-                                                    Server Limit Reached!
-                                                    <i title="Mark as unread" data-toggle="tooltip"
-                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
-                                                </p>
-                                                <span class="text-muted small">55 sec ago</span>
-                                            </div>
-                                        </a>
-                                    </li>
-                                    <li>
-                                        <a href="#"
-                                           class="list-group-item d-flex align-items-center hide-show-toggler">
-                                            <div>
-                                                <figure class="avatar mr-2">
-                                                <span class="avatar-title bg-info-bright text-info rounded-circle">
-                                                    <i class="ti-layers"></i>
-                                                </span>
-                                                </figure>
-                                            </div>
-                                            <div class="flex-grow-1">
-                                                <p class="mb-0 line-height-20 d-flex align-items-center justify-content-between">
-                                                    Apps are ready for update
-                                                    <i title="Mark as unread" data-toggle="tooltip"
-                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
-                                                </p>
-                                                <span class="text-muted small">Yesterday</span>
-                                            </div>
-                                        </a>
-                                    </li>
-                                </ul>
-                            </div>
-                            <div class="p-2 text-right border-top">
-                                <ul class="list-inline small">
-                                    <li class="list-inline-item mb-0">
-                                        <a href="#">Mark All Read</a>
-                                    </li>
-                                </ul>
-                            </div>
-                        </div>
-                    </li>
-                    <!-- end::header notification dropdown -->
-
                     <!-- begin::user menu -->
                     <li class="nav-item dropdown">
                         <a href="#" class="nav-link" title="User menu" data-sidebar-target="#user-menu">
                             <span class="mr-2 d-sm-inline d-none">{{auth()->user()->getFullName()}}</span>
-                        </a>
-                        </li>
+                            @include('dashboard.partials.avatar')
+                        </a>
+                    </li>
                     <!-- end::user menu -->
 
@@ -334,27 +161,34 @@
                         </a>
                     </li>
-                    @if(auth()->user()->hasPermission("access_all_users"))
-                    <li>
-                        <a href="{{ route("dashboard.users.index") }}" class="nav-link {{ request()->is(['dashboard/users', 'dashboard/users/*']) ? 'active' : '' }}" data-toggle="tooltip"
-                           data-placement="right" title="Users">
-                            <i data-feather="users"></i>
-                        </a>
-                    </li>
+                    @if(auth()->user()->hasPermission("manage_all_users"))
+                        <li>
+                            <a href="{{ route("dashboard.users.index") }}" class="nav-link {{ request()->is(['dashboard/users', 'dashboard/users/*']) ? 'active' : '' }}" data-toggle="tooltip"
+                               data-placement="right" title="Users">
+                                <i data-feather="users"></i>
+                            </a>
+                        </li>
+                    @endif
+                    @if(auth()->user()->hasPermission("manage_all_departments"))
+                        <li>
+                            <a href="{{route("dashboard.departments.index")}}" data-toggle="tooltip"
+                               data-placement="right" title="Departments">
+                                <i data-feather="layers"></i>
+                            </a>
+                        </li>
+                    @endif
+                    @if(auth()->user()->hasPermission("manage_all_documents"))
+                        <li>
+                            <a href="{{route("dashboard.documents.index")}}" data-toggle="tooltip"
+                               data-placement="right" title="Documents">
+                                <i data-feather="file-text"></i>
+                            </a>
+                        </li>
                     @endif
                     <li>
-                        <a href="#" data-toggle="tooltip"
-                           data-placement="right" title="Files"
-                           data-nav-target="#components">
-                            <i data-feather="layers"></i>
-                        </a>
-                    </li>
-                    @if(auth()->user()->hasPermission("access_all_departments"))
-                    <li>
-                        <a href="{{route("dashboard.departments.index")}}" data-toggle="tooltip"
-                           data-placement="right" title="Departments">
-                            <i data-feather="layers"></i>
-                        </a>
-                    </li>
-                    @endif
+                        <a href="#" data-toggle="tooltip" data-placement="right" title="Ecommerce"
+                           data-nav-target="#ecommerce">
+                            <i data-feather="shopping-cart"></i>
+                        </a>
+                    </li>
                 </ul>
             </div>
@@ -374,9 +208,7 @@
                 <div>© {{ date('Y') }}<a href="{{route("dashboard.index")}}" target="_blank"> SaveSpace</a></div>
                 <div>
-
                 </div>
             </footer>
             <!-- end::footer -->
-
         </div>
 
@@ -391,6 +223,14 @@
 <!-- App scripts -->
 <script src="{{ url('assets/js/app.js') }}"></script>
-<script src="{{url('assets/js/Toast.js')}}"></script>
+<!-- 3. Instantiate clipboard by passing a string selector -->
+<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.8/clipboard.min.js"></script>
+<script>
+    var clipboard = new ClipboardJS('.btn');
+</script>
+@yield('script')
+
 @include("layouts.alert")
+
+
 </body>
 </html>
Index: resources/views/layouts/old.blade.php
===================================================================
--- resources/views/layouts/old.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ resources/views/layouts/old.blade.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
@@ -0,0 +1,518 @@
+<!-- begin::main -->
+<div class="layout-wrapper">
+
+    <!-- begin::header -->
+    <div class="header d-print-none">
+
+        <div class="header-left">
+            <div class="navigation-toggler">
+                <a href="#" data-action="navigation-toggler">
+                    <i data-feather="menu"></i>
+                </a>
+            </div>
+            <div class="header-logo">
+                <a href="{{ url('/') }}">
+                    <img class="logo" src="{{ url('assets/media/image/logo.png') }}" alt="logo">
+                    <img class="logo-light" src="{{ url('assets/media/image/logo-light.png') }}" alt="light logo">
+                </a>
+            </div>
+        </div>
+
+        <div class="header-body">
+            <div class="header-body-left">
+                <div class="page-title">
+                    <h4>@yield('pageTitle')</h4>
+                </div>
+            </div>
+            <div class="header-body-right">
+                <ul class="navbar-nav">
+
+                    <li class="nav-item">
+                        <a href="#" title="Language" class="nav-link" data-toggle="dropdown">
+                            <img width="18" src="{{ url('assets/media/image/flags/262-united-kingdom.png') }}"
+                                 alt="flag"
+                                 class="mr-2 rounded" title="United Kingdom"> EN
+                        </a>
+                        <div class="dropdown-menu">
+                            <a href="#" class="dropdown-item">
+                                <img width="18" src="{{ url('assets/media/image/flags/003-tanzania.png') }}"
+                                     class="mr-2 rounded"
+                                     alt="flag">
+                                Tanzania
+                            </a>
+                            <a href="#" class="dropdown-item">
+                                <img width="18" src="{{ url('assets/media/image/flags/261-china.png') }}"
+                                     class="mr-2 rounded"
+                                     alt="flag"> China
+                            </a>
+                            <a href="#" class="dropdown-item">
+                                <img width="18" src="{{ url('assets/media/image/flags/013-tunisia.png') }}"
+                                     class="mr-2 rounded"
+                                     alt="flag">
+                                Tunisia
+                            </a>
+                            <a href="#" class="dropdown-item">
+                                <img width="18" src="{{ url('assets/media/image/flags/044-spain.png') }}"
+                                     class="mr-2 rounded"
+                                     alt="flag"> Spain
+                            </a>
+                        </div>
+                    </li>
+
+                    <!-- begin::header fullscreen -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link" title="Fullscreen" data-toggle="fullscreen">
+                            <i class="maximize" data-feather="maximize"></i>
+                            <i class="minimize" data-feather="minimize"></i>
+                        </a>
+                    </li>
+                    <!-- end::header fullscreen -->
+
+                    <!-- begin::header search -->
+                    <li class="nav-item">
+                        <a href="#" class="nav-link" title="Search" data-toggle="dropdown">
+                            <i data-feather="search"></i>
+                        </a>
+                        <div class="dropdown-menu p-2 dropdown-menu-right">
+                            <form>
+                                <div class="input-group">
+                                    <input type="text" class="form-control" placeholder="Search">
+                                    <div class="input-group-prepend">
+                                        <button class="btn" type="button">
+                                            <i data-feather="search"></i>
+                                        </button>
+                                    </div>
+                                </div>
+                            </form>
+                        </div>
+                    </li>
+                    <!-- end::header search -->
+
+                    <!-- begin::apps -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link" title="Apps" data-toggle="dropdown">
+                            <i data-feather="box"></i>
+                        </a>
+                        <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
+                            <div class="bg-dark p-4 text-center d-flex justify-content-between">
+                                <h5 class="mb-0">Apps</h5>
+                            </div>
+                            <div class="p-3">
+                                <div class="row row-xs">
+                                    <div class="col-6">
+                                        <a href="testchat') }}">
+                                            <div class="border-radius-1 text-center mb-3">
+                                                <figure class="avatar avatar-lg border-0">
+                                                <span class="avatar-title bg-primary text-white rounded-circle">
+                                                    <i class="width-30 height-30" data-feather="message-circle"></i>
+                                                </span>
+                                                </figure>
+                                                <div class="mt-2">Chat</div>
+                                            </div>
+                                        </a>
+                                    </div>
+                                    <div class="col-6">
+                                        <a href="testmail') }}">
+                                            <div class="border-radius-1 text-center mb-3">
+                                                <figure class="avatar avatar-lg border-0">
+                                                <span class="avatar-title bg-secondary text-white rounded-circle">
+                                                    <i class="width-30 height-30" data-feather="mail"></i>
+                                                </span>
+                                                </figure>
+                                                <div class="mt-2">Mail</div>
+                                            </div>
+                                        </a>
+                                    </div>
+                                    <div class="col-6">
+                                        <a href="testtodo-list') }}">
+                                            <div class="border-radius-1 text-center">
+                                                <figure class="avatar avatar-lg border-0">
+                                                <span class="avatar-title bg-info text-white rounded-circle">
+                                                    <i class="width-30 height-30" data-feather="check-circle"></i>
+                                                </span>
+                                                </figure>
+                                                <div class="mt-2">Todo List</div>
+                                            </div>
+                                        </a>
+                                    </div>
+                                    <div class="col-6">
+                                        <a href="testfile-manager') }}">
+                                            <div class="border-radius-1 text-center">
+                                                <figure class="avatar avatar-lg border-0">
+                                                <span class="avatar-title bg-warning text-white rounded-circle">
+                                                    <i class="width-30 height-30" data-feather="file"></i>
+                                                </span>
+                                                </figure>
+                                                <div class="mt-2">File Manager</div>
+                                            </div>
+                                        </a>
+                                    </div>
+                                </div>
+                            </div>
+                        </div>
+                    </li>
+                    <!-- end::apps -->
+
+                    <!-- begin::header messages dropdown -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link nav-link-notify" title="Chats" data-toggle="dropdown">
+                            <i data-feather="message-circle"></i>
+                        </a>
+                        <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
+                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">
+                                <h5 class="mb-0">Chats</h5>
+                                <small class="opacity-7">2 unread chats</small>
+                            </div>
+                            <div>
+                                <ul class="list-group list-group-flush">
+                                    <li>
+                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                    <img src="{{ url('assets/media/image/user/man_avatar1.jpg') }}"
+                                                         class="rounded-circle" alt="user">
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    Herbie Pallatina
+                                                    <i title="Mark as read" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-circle-o font-size-11"></i>
+                                                </p>
+                                                <div class="small text-muted">
+                                                    <span class="mr-2">02:30 PM</span>
+                                                    <span>Have you madimage</span>
+                                                </div>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li>
+                                        <a href="#"
+                                           class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                    <img src="{{ url('assets/media/image/user/women_avatar5.jpg') }}"
+                                                         class="rounded-circle" alt="user">
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    Andrei Miners
+                                                    <i title="Mark as read" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-circle-o font-size-11"></i>
+                                                </p>
+                                                <div class="small text-muted">
+                                                    <span class="mr-2">08:36 PM</span>
+                                                    <span>I have a meetinimage</span>
+                                                </div>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li class="text-divider small pb-2 pl-3 pt-3">
+                                        <span>Old chats</span>
+                                    </li>
+                                    <li>
+                                        <a href="#"
+                                           class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                    <img src="{{ url('assets/media/image/user/man_avatar3.jpg') }}"
+                                                         class="rounded-circle" alt="user">
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    Kevin added
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <div class="small text-muted">
+                                                    <span class="mr-2">11:09 PM</span>
+                                                    <span>Have you madimage</span>
+                                                </div>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li>
+                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                    <img src="{{ url('assets/media/image/user/man_avatar2.jpg') }}"
+                                                         class="rounded-circle" alt="user">
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    Eugenio Carnelley
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <div class="small text-muted">
+                                                    <span class="mr-2">Yesterday</span>
+                                                    <span>I have a meetinimage</span>
+                                                </div>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li>
+                                        <a href="#"
+                                           class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                    <img src="{{ url('assets/media/image/user/women_avatar1.jpg') }}"
+                                                         class="rounded-circle" alt="user">
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    Neely Ferdinand
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <div class="small text-muted">
+                                                    <span class="mr-2">Yesterday</span>
+                                                    <span>I have a meetinimage</span>
+                                                </div>
+                                            </div>
+                                        </a>
+                                    </li>
+                                </ul>
+                            </div>
+                            <div class="p-2 text-right border-top">
+                                <ul class="list-inline small">
+                                    <li class="list-inline-item mb-0">
+                                        <a href="#">Mark All Read</a>
+                                    </li>
+                                </ul>
+                            </div>
+                        </div>
+                    </li>
+                    <!-- end::header messages dropdown -->
+
+                    <!-- begin::header notification dropdown -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link nav-link-notify" title="Notifications" data-toggle="dropdown">
+                            <i data-feather="bell"></i>
+                        </a>
+                        <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
+                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">
+                                <h5 class="mb-0">Notifications</h5>
+                                <small class="opacity-7">1 unread notifications</small>
+                            </div>
+                            <div>
+                                <ul class="list-group list-group-flush">
+                                    <li>
+                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span
+                                                    class="avatar-title bg-success-bright text-success rounded-circle">
+                                                    <i class="ti-user"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    New customer registered
+                                                    <i title="Mark as read" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-circle-o font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">20 min ago</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li class="text-divider small pb-2 pl-3 pt-3">
+                                        <span>Old notifications</span>
+                                    </li>
+                                    <li>
+                                        <a href="#" class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span
+                                                    class="avatar-title bg-warning-bright text-warning rounded-circle">
+                                                    <i class="ti-package"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    New Order Recieved
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">45 sec ago</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li>
+                                        <a href="#"
+                                           class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span class="avatar-title bg-danger-bright text-danger rounded-circle">
+                                                    <i class="ti-server"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                    Server Limit Reached!
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">55 sec ago</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                    <li>
+                                        <a href="#"
+                                           class="list-group-item d-flex align-items-center hide-show-toggler">
+                                            <div>
+                                                <figure class="avatar mr-2">
+                                                <span class="avatar-title bg-info-bright text-info rounded-circle">
+                                                    <i class="ti-layers"></i>
+                                                </span>
+                                                </figure>
+                                            </div>
+                                            <div class="flex-grow-1">
+                                                <p class="mb-0 line-height-20 d-flex align-items-center justify-content-between">
+                                                    Apps are ready for update
+                                                    <i title="Mark as unread" data-toggle="tooltip"
+                                                       class="hide-show-toggler-item fa fa-check font-size-11"></i>
+                                                </p>
+                                                <span class="text-muted small">Yesterday</span>
+                                            </div>
+                                        </a>
+                                    </li>
+                                </ul>
+                            </div>
+                            <div class="p-2 text-right border-top">
+                                <ul class="list-inline small">
+                                    <li class="list-inline-item mb-0">
+                                        <a href="#">Mark All Read</a>
+                                    </li>
+                                </ul>
+                            </div>
+                        </div>
+                    </li>
+                    <!-- end::header notification dropdown -->
+
+                    <!-- BEGIN: Cart -->
+                    <li class="nav-item">
+                        <a href="#" title="Cart" class="nav-link" data-toggle="dropdown">
+                            <i data-feather="shopping-bag"></i>
+                        </a>
+                        <div class="dropdown-menu dropdown-menu-right dropdown-menu-big">
+                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">
+                                <h5 class="mb-0">Cart</h5>
+                                <small class="opacity-7">3 products</small>
+                            </div>
+                            <div>
+                                <div class="list-group list-group-flush">
+                                    <a href="#" class="p-3 list-group-item d-flex">
+                                        <div>
+                                            <figure class="avatar mr-3">
+                                                <img src="{{ url('assets/media/image/products/product6.png') }}"
+                                                     alt="Canon 4000D 18-55 MM">
+                                            </figure>
+                                        </div>
+                                        <div class="flex-grow-1">
+                                            <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                Canon 4000D 18-55 MM
+                                                <i title="Close" data-toggle="tooltip"
+                                                   class="hide-show-toggler-item ti-close"></i>
+                                            </p>
+                                            <span class="text-muted small">1 X $1,200</span>
+                                        </div>
+                                    </a>
+                                    <a href="#" class="p-3 list-group-item d-flex">
+                                        <div>
+                                            <figure class="avatar mr-3">
+                                                <img src="{{ url('assets/media/image/products/product3.png') }}"
+                                                     alt="pineapple">
+                                            </figure>
+                                        </div>
+                                        <div class="flex-grow-1">
+                                            <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                Snopy SN-BT96 Pretty
+                                                <i title="Close" data-toggle="tooltip"
+                                                   class="hide-show-toggler-item ti-close"></i>
+                                            </p>
+                                            <span class="text-muted small">1 X $250</span>
+                                        </div>
+                                    </a>
+                                    <a href="#" class="p-3 list-group-item d-flex">
+                                        <div>
+                                            <figure class="avatar mr-3">
+                                                <img src="{{ url('assets/media/image/products/product7.png') }}"
+                                                     class="rounded" alt="pineapple">
+                                            </figure>
+                                        </div>
+                                        <div class="flex-grow-1">
+                                            <p class="mb-0 line-height-20 d-flex justify-content-between">
+                                                Lenovo Tab E10 TB-X104F 32GB
+                                                <i title="Close" data-toggle="tooltip"
+                                                   class="hide-show-toggler-item ti-close"></i>
+                                            </p>
+                                            <span class="text-muted small">2 X $100</span>
+                                        </div>
+                                    </a>
+                                </div>
+                            </div>
+                            <div class="p-3 border-top text-right">
+                                <p class="d-flex justify-content-between align-items-center mb-2">
+                                    <span>Sub Total</span>
+                                    <span>$1,650</span>
+                                </p>
+                                <p class="d-flex justify-content-between align-items-center mb-2">
+                                    <span>Taxes</span>
+                                    <span>$15</span>
+                                </p>
+                                <p class="d-flex justify-content-between align-items-center mb-2 font-weight-bold">
+                                    <span>Total</span>
+                                    <span>$1,675</span>
+                                </p>
+                                <button class="btn btn-primary btn-block mt-2">
+                                    Order and Payment <i class="ti-arrow-right ml-2"></i>
+                                </button>
+                            </div>
+                        </div>
+                    </li>
+                    <!-- END: Cart -->
+
+                    <!-- begin::settings -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link" title="Settings" data-sidebar-target="#settings">
+                            <i data-feather="settings"></i>
+                        </a>
+                    </li>
+                    <!-- end::settings -->
+
+                    <!-- begin::user menu -->
+                    <li class="nav-item dropdown">
+                        <a href="#" class="nav-link" title="User menu" data-sidebar-target="#user-menu">
+                            <span class="mr-2 d-sm-inline d-none">Roxana Roussell</span>
+                            <figure class="avatar avatar-sm">
+                                <img src="{{ url('assets/media/image/user/women_avatar1.jpg') }}" class="rounded-circle"
+                                     alt="avatar">
+                            </figure>
+                        </a>
+                    </li>
+                    <!-- end::user menu -->
+
+                </ul>
+
+                <!-- begin::mobile header toggler -->
+                <ul class="navbar-nav d-flex align-items-center">
+                    <li class="nav-item header-toggler">
+                        <a href="#" class="nav-link">
+                            <i data-feather="arrow-down"></i>
+                        </a>
+                    </li>
+                </ul>
+                <!-- end::mobile header toggler -->
+            </div>
+        </div>
+
+    </div>
+    <!-- end::header -->
